@use 'SASS:map';
@use '@angular/material' as mat;

@mixin theme($theme) {
    $color-config: mat.get-color-config($theme);
    @if $color-config != null {
        $primary-palette: map.get($color-config, 'primary');
        @include base($primary-palette);
        @include snackar($primary-palette);
    }
}

@mixin base($primary-palette) {
    ::-webkit-scrollbar-track {
        background: mat.get-color-from-palette($primary-palette, 200);
    }

    ::-webkit-scrollbar-thumb {
        background: mat.get-color-from-palette($primary-palette, 700);
    }

    body{
        scrollbar-color:mat.get-color-from-palette($primary-palette, 700) mat.get-color-from-palette($primary-palette, 200);
    }

    a{
        color: mat.get-color-from-palette($primary-palette, darker);
    }

    a:hover{
        color: mat.get-color-from-palette($primary-palette, lighter);
    }

    a:active{
        color: mat.get-color-from-palette($primary-palette, lighter);
    }

    .mat-table-sticky {
        background-color: mat.get-color-from-palette($primary-palette);
    }

    .mat-dialog-container {
        background-color: mat.get-color-from-palette($primary-palette);
    }
}

@mixin snackar($primary-palette) {
    .SnackBarError {
      color: mat.get-color-from-palette($primary-palette);
      font-weight: 500;
      background-color: #cc0011;
  
      button {
        color: mat.get-color-from-palette($primary-palette);
        font-weight: 700;
      }
    }
  }